Get content insights
curl --request GET \
--url https://api.conductor.com/v4/accounts/{accountId}/drafts/{draftId}/insights \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.conductor.com/v4/accounts/{accountId}/drafts/{draftId}/insights"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.conductor.com/v4/accounts/{accountId}/drafts/{draftId}/insights', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": {
"insights": [
{
"insightPresent": true,
"empty": true,
"details": {
"keywords": {
"items": [
{
"keyword": "<string>",
"numOfOccurrence": 123,
"avgFrequency": 123,
"topPageFrequency": 123,
"ownFrequency": 123,
"presets": [],
"otherKeywords": [
"<string>"
]
}
],
"maxOccurrence": 123,
"presets": [
"<string>"
]
},
"serp": {
"items": [
{
"pageMeta": {
"rank": 123,
"url": "<string>",
"favicon": "<string>",
"title": "<string>",
"collected": true
},
"keywords": [
{
"keyword": "<string>",
"frequency": 123,
"otherKeywords": [
"<string>"
]
}
]
}
]
}
},
"errorCode": "<string>",
"errorMessage": "<string>",
"summary": {
"note": "<string>",
"text": "<string>"
}
}
],
"snippets": [
{
"details": {
"rootKeyword": "<string>",
"topicSearchVolume": 123,
"topicPhrase": "<string>"
},
"phraseDetails": [
{
"rootKeyword": "<string>",
"topicSearchVolume": 123,
"topicPhrase": "<string>"
}
],
"creationTime": 123,
"errorCode": "<string>",
"errorMessage": "<string>",
"errorPhrases": [
"<string>"
]
}
],
"contentProfile": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountId": 123,
"name": "<string>",
"description": "<string>",
"voiceTone": "<string>",
"audience": "<string>",
"createdBy": 123,
"created": "2023-11-07T05:31:56Z",
"updatedBy": 123,
"updated": "2023-11-07T05:31:56Z",
"draftCount": 123,
"languageRules": [
{
"term": "<string>",
"type": "EXCLUDE",
"extraTerm": "<string>"
}
]
},
"referenceDocuments": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fileName": "<string>",
"text": "<string>",
"createdBy": {
"id": 123
},
"created": 123,
"account": {
"id": 123
}
}
]
},
"startTime": 123
}{
"code": "<string>",
"message": "<string>"
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"error": "<string>",
"message": "<string>",
"path": "<string>"
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"error": "<string>",
"message": "<string>",
"path": "<string>"
}Content Insights
Get content insights
Retrieve results of a previously submitted insight generation request.
GET
/
v4
/
accounts
/
{accountId}
/
drafts
/
{draftId}
/
insights
Get content insights
Authorizations
ApiTokenApiKeyQuery & SigQuery
Conductor API token, sent as Bearer <your-api-token>. Generate a token from Integrations > API > Create API Token.
Path Parameters
Account identifier
Draft identifier
Query Parameters
Specific insight types to retrieve
Available options:
PAA_INSIGHT, BODY_CONTENT_COMMON, CONTENT_ANALYSIS_INSIGHT, HTML_HEADING1_COMMON, HTML_HEADING2_COMMON, HTML_HEADING3_COMMON, HTML_META_DESCRIPTION_COMMON, HTML_TITLE_COMMON, CONTENT_LENGTH_INSIGHT, READABILITY_INSIGHT, OBJECTIVE_INSIGHT, AUDIENCE_INSIGHT, JOURNEY_STAGE_INSIGHT, CONTENT_TYPE_INSIGHT, SUBTOPIC_INSIGHT, OPPORTUNITIES_SNIPPET, MSV_SNIPPET Response
Insights status and data
Collection/processing state for the response, an insight, a snippet, or a page.
Available options:
PROCESSING, COMPLETED, COMPLETED_WITH_ERROR, FAILED, TIMEOUTED Collection/processing state for the response, an insight, a snippet, or a page.
Available options:
PROCESSING, COMPLETED, COMPLETED_WITH_ERROR, FAILED, TIMEOUTED Collection/processing state for the response, an insight, a snippet, or a page.
Available options:
PROCESSING, COMPLETED, COMPLETED_WITH_ERROR, FAILED, TIMEOUTED Null while status is PROCESSING; populated once generation completes.
Show child attributes
Show child attributes
Epoch milliseconds when generation started.
⌘I
